Open CASCADE Technology: Plate_LinearXYZConstraint Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Plate_LinearXYZConstraint Class Reference

define on or several constraints as linear combination of PinPointConstraint unlike the LinearScalarConstraint, usage of this kind of constraint preserve the X,Y and Z uncoupling. More...

`#include <Plate_LinearXYZConstraint.hxx>`

## Public Member Functions
| Plate_LinearXYZConstraint ()
| Plate_LinearXYZConstraint (const Plate_Array1OfPinpointConstraint &PPC, const TColStd_Array1OfReal &coeff)
| Plate_LinearXYZConstraint (const Plate_Array1OfPinpointConstraint &PPC, const TColStd_Array2OfReal &coeff)
| Plate_LinearXYZConstraint (const Standard_Integer ColLen, const Standard_Integer RowLen)
const Plate_Array1OfPinpointConstraint & | GetPPC () const
const TColStd_Array2OfReal & | Coeff () const
void | SetPPC (const Standard_Integer Index, const Plate_PinpointConstraint &Value)
| Sets the PinPointConstraint of index Index to Value raise if Index is greater than the length of PPC or the Row length of coeff or lower than 1. More...
void | SetCoeff (const Standard_Integer Row, const Standard_Integer Col, const Standard_Real Value)
| Sets the coeff of index (Row,Col) to Value raise if Row (respectively Col) is greater than the Row (respectively Column) length of coeff. More...

## Detailed Description

define on or several constraints as linear combination of PinPointConstraint unlike the LinearScalarConstraint, usage of this kind of constraint preserve the X,Y and Z uncoupling.

## Constructor & Destructor Documentation

Plate_LinearXYZConstraint::Plate_LinearXYZConstraint | ( |  | ) |

Plate_LinearXYZConstraint::Plate_LinearXYZConstraint | ( | const Plate_Array1OfPinpointConstraint & | PPC,
|  | const TColStd_Array1OfReal & | coeff
| ) |  |

Plate_LinearXYZConstraint::Plate_LinearXYZConstraint | ( | const Plate_Array1OfPinpointConstraint & | PPC,
|  | const TColStd_Array2OfReal & | coeff
| ) |  |

Plate_LinearXYZConstraint::Plate_LinearXYZConstraint | ( | const Standard_Integer | ColLen,
|  | const Standard_Integer | RowLen
| ) |  |

## Member Function Documentation

const TColStd_Array2OfReal& Plate_LinearXYZConstraint::Coeff | ( |  | ) | const

const Plate_Array1OfPinpointConstraint& Plate_LinearXYZConstraint::GetPPC | ( |  | ) | const

void Plate_LinearXYZConstraint::SetCoeff | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Standard_Real | Value
| ) |  |

Sets the coeff of index (Row,Col) to Value raise if Row (respectively Col) is greater than the Row (respectively Column) length of coeff.

void Plate_LinearXYZConstraint::SetPPC | ( | const Standard_Integer | Index,
|  | const Plate_PinpointConstraint & | Value
| ) |  |

Sets the PinPointConstraint of index Index to Value raise if Index is greater than the length of PPC or the Row length of coeff or lower than 1.

The documentation for this class was generated from the following file:

- Plate_LinearXYZConstraint.hxx